Class Fox::FXGLPoint

In: | ../lib/fox/glshapes.rb
Parent: | FXGLObject

OpenGL point object

Methods

bounds draw hit new

Attributes

pos | [RW] | Point position, in model coordinates (a 3-element array)

Public Class methods

new(*args)

Returns an initialized FXGLPoint instance. If no arguments are passed to new, the initial point position is (0.0, 0.0, 0.0). You can specify a different initial position by passing in the x, y and z coordinates individually:

        aPoint = FXGLPoint.new(x, y, z)

or as a 3-element array:

        aPoint = FXGLPoint.new([x, y, z])

Public Instance methods

bounds()

Return the bounding box (an FXRange instance) for this point.

draw(viewer)

Draw this point into viewer (an FXGLViewer instance).

hit(viewer)

Perform hit test for this point in viewer (an FXGLViewer instance).